Subject: Re: hold feature and list needed
From: "Mike" <[email-masked]>
To: "Michael Grove" <[email-masked]>
Date: Mon, 18 Jun 2007 11:10:12 -0400

Mike,
Are you saying that you can't place Order notes into the system then?  I guess I am not sure the difference between the function of these two.  I am sure there is a lot more behind all this than what we see.  Are you saying once we release this held order, this box disappears?  If that is the case, does it have to?  I have kind of "polled" some of my users and pretty much everyone was in favor of having this capability.  Most were saying that they liked that they would be able to access notes while staying on the orders details page.  You could actually just have the one set of notes and show the "Hold order notes" and never have to move them.  They would already be in place.   If possible, go ahead and start to put this in place.  If you need to call me to discuss this that is fine.  I would like to add/expand this feature as much as possible.
The list:
I wanted to follow up with my request.  I need Existing customer who ordered but not the older order dates.  This list will be used for the telemarketing group to call on.  They just need to be able to instruct the caller of the date they last ordered. I can not recall.  Have you pulled names for telemarketing before?  They only had a total of 60k names that they are calling on.  I can't remember if those were generated by you or if I pulled them from our older system.  Let me know if you are certain about this.  I'm not certain at this time.  Call me if you think we need to verbally go over some of these things.  I know that I have sent you over several emails in the past few weeks.  May be we can discuss priority and details of these requests later today or Tuesday afternoon.  Let me know what your schedule permits.
Thanks,
Mike -LLPS

  ----- Original Message ----- 
  From: Michael Grove 
  To: Mike 
  Sent: Sunday, June 17, 2007 7:42 PM
  Subject: Re: hold feature and list needed

  Mike wrote: 
    Also, I noticed that the notes for this Hold are on the Order Details page even after you remove the hold.  This brings up some points and questions. 

  Order Notes never go away but I am pretty sure I activated the feature that when a hold is removed it will add in another Order Note that indicates that the hold was removed.

        First, I would like all notes kept together somewhere.  However, I would love to have "Order Notes" added instead of Company notes if I had to choose.  Since I have seen the current Hold display, I think I would prefer you change the notes completely over to this format.  I think I would still like to keep the Company notes but have the notes recorded in both places.  Maybe the Orders Details page could  be set up to display all notes of that particular order, maybe showing only the first line and then make it "clickable" to expand to see all order notes.  The current Add/View notes button could read "View Company Notes" and take you to all notes on a different screen.  I know it would probably be too difficult to migrate all of the notes under their respective orders, but it would be helpful if at all possible (this would probably be a separate request). 

  The way the "Hold" notes work is just like the Company notes but at the order level.  Same goes for the Back Orders, and I believe Do Not Contact entries.  I migrated away from the old method which put all this information into one big field.

        Secondly, if an order is completed and the box is not checked, can you add to the edit screen the ability to place that order on Hold?  Otherwise we would have to cancel the order and start over.  I really don't like canceling any orders if I do not need to.
  It should not be a problem to add this feature to the Edit Order screen.

        Last, I need a list of all existing customers for our telemarketing group.  I will need the following: 
    Cust.ID, Contact name, Company name, Address, City, State, Zip, Phone number (omit IDs w/o #'s), Most recent Order Date.  I will need the orders sorted by year ordered.  I can have their tech team spilt them off into separate lists if they prefer (for each year).  I am still waiting on a reply to where they would like the lists uploaded to.  Right now plan on just putting them in the list file.  They are in the process of setting us up with an account that we can just log on to upload the info.
  I will see if I can track down the list that we initially sent them and cross reference that with the order database to get Most Recent Order data.